核心 API
购买带宽
为 TRON 地址购买带宽
POST
/
api
/
v1
/
bandwidth
/
buy
购买带宽
curl --request POST \
--url https://api.example.com/api/v1/bandwidth/buy \
--header 'Content-Type: application/json' \
--data '
{
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/bandwidth/buy"
payload = {
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({target_address: '<string>', volume: 123, duration: '<string>'})
};
fetch('https://api.example.com/api/v1/bandwidth/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"txid": {},
"price_trx": "<string>",
"reclaim_at": {}
}购买带宽
将带宽委托给指定的 TRON 地址。费用从您的账户余额中扣除。请求体
目标 TRON 地址(T… 格式,34 个字符)
要委托的带宽数量(最小 350,最大 100,000)
租赁时长:
"1h"(1 小时)或 "1d"(24 小时)。请使用 "1d",不要使用 "24h" 或数字小时值。响应
唯一订单标识符
订单状态:
pending、filled、failed委托广播后的链上交易 ID(
pending 时为 null)从余额扣除的总费用(TRX)
带宽租赁被收回时的 ISO 8601 时间戳
定价
价格 =(volume × price_sun) / 1,000,000 + 0.2 TRX 固定费用。通过 GET /v1/bandwidth/prices 获取当前 price_sun_1h、price_sun_1d 和 fixed_fee_trx。
示例
curl -X POST https://api.tronrental.com/v1/bandwidth/buy \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 16000,
"duration": "1d"
}'
import requests
resp = requests.post(
"https://api.tronrental.com/v1/bandwidth/buy",
headers={"X-API-Key": "your_api_key"},
json={
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 16000,
"duration": "1d",
},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/buy", {
method: "POST",
headers: {
"X-API-Key": "your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify({
target_address: "TYourRecipientAddress1234567890abc",
volume: 16000,
duration: "1d",
}),
});
console.log(await resp.json());
Response
{
"id": 5678,
"price_trx": "10.28",
"status": "filled",
"txid": "abc123...",
"reclaim_at": "2026-06-10T21:00:00+00:00"
}
当免费每日带宽用尽时,350 带宽可覆盖一次 USDT TRC-20 转账。
⌘I
购买带宽
